org.jfree.xml.factory.objects

## Class ByteObjectDescription

- java.lang.Object
- - org.jfree.xml.factory.objects.AbstractObjectDescription
  - - org.jfree.xml.factory.objects.ByteObjectDescription

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ObjectDescription

      public class ByteObjectDescription
      extends AbstractObjectDescription

  An object-description for a `Byte` object.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteObjectDescription()` Creates a new object description.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject()` Creates a new object (`Byte`) based on this description object.
    `boolean` | `equals(java.lang.Object o)` Tests for equality.
    `int` | `hashCode()` Returns a hash code for the object.
    `void` | `setParameterFromObject(java.lang.Object o)` Sets the parameters of this description object to match the supplied object.

    - ### Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription

      `configure, convertPrimitiveClass, getConfig, getDefinedParameterNames, getInstance, getObjectClass, getParameter, getParameterDefinition, getParameterNames, getUnconfiguredInstance, setParameter, setParameterDefinition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteObjectDescription

          public ByteObjectDescription()

      Creates a new object description.

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject()

      Creates a new object (`Byte`) based on this description object.
      Returns:
        The `Byte` object.

    - #### setParameterFromObject

          public void setParameterFromObject(java.lang.Object o)
                                      throws ObjectFactoryException

      Sets the parameters of this description object to match the supplied object.
      Parameters:
        `o` - the object (should be an instance of `Byte`.
      Throws:
        `ObjectFactoryException` - if there is a problem while reading the properties of the given object.

    - #### equals

          public boolean equals(java.lang.Object o)

      Tests for equality.
      Specified by:
        `equals` in interface `ObjectDescription`
      Overrides:
        `equals` in class `AbstractObjectDescription`
      Parameters:
        `o` - the object to test.
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code for the object.
      Specified by:
        `hashCode` in interface `ObjectDescription`
      Overrides:
        `hashCode` in class `AbstractObjectDescription`
      Returns:
        The hash code.